show Connected component

Solution Partner Pioneer Solution Partner Pioneer
Solution Partner Pioneer

hello,

 

Can I found this methode using API?

Any help?


ShowConnectedComponent.PNG

 

Best regards.

Amani

1 REPLY

Re: show Connected component

Solution Partner Phenom Solution Partner Phenom
Solution Partner Phenom

I don't have a license for Harness so I can't test anything. Looking at the API via Spy for Solid Edge, I can see potentially how to get the information. I'm guessing what "Show Connected Components" actually does because again, I can't test. I would expect that you will have to gather the information yourself programmatically. Here is the code path that I'm seeing to get you started.

  • Application.ActiveDocument (Cast as SolidEdgeAssembly.AssemblyDocument)
  • AssemblyDocument.Harnesses (Count property & Item method)
  • SolidEdgeAssembly.Harness (Note the properties and methods)
    • void GetTopMostConductors(out Int32 NumberOfConductors, ref Object[] ConductorArray)
    • SolidEdgeAssembly.Bundles Bundles { get; }
    • SolidEdgeAssembly.Cables Cables { get; }
    • SolidEdgeAssembly.Splices Splices { get; }
    • SolidEdgeAssembly.Wires Wires { get; }
Jason Newell
Applications Architect
www.jasonnewell.net